Skip to main content
GET
/
v2
/
status_page_maintenances
ListStatusPageMaintenances
curl --request GET \
  --url https://api.incident.io/v2/status_page_maintenances
{
  "pagination_meta": {
    "after": "01FCNDV6P870EA6S7TK1DSYDG0",
    "page_size": 25
  },
  "status_page_maintenances": [
    {
      "component_maintenance_periods": [
        {
          "component_id": "01GW7P4ES31Q6V1ZQH321T0GJN",
          "end_at": "2021-08-17T13:28:57.801578Z",
          "start_at": "2021-08-17T13:28:57.801578Z"
        }
      ],
      "id": "01FCNDV6P870EA6S7TK1DSYDG0",
      "maintenance_status": "maintenance_scheduled",
      "name": "Routine infrastructure upgrade",
      "published_at": "2021-08-17T13:28:57.801578Z",
      "status_page_id": "01FCNDV6P870EA6S7TK1DSYDG0",
      "updates": [
        {
          "component_statuses": [
            {
              "component_id": "01FCNDV6P870EA6S7TK1DSYDG2",
              "component_status": "operational"
            }
          ],
          "id": "01FCNDV6P870EA6S7TK1DSYDG0",
          "maintenance_status": "maintenance_scheduled",
          "message": "abc123",
          "published_at": "2021-08-17T13:28:57.801578Z",
          "status_page_maintenance_id": "01FCNDV6P870EA6S7TK1DSYDG1"
        }
      ]
    }
  ]
}

Query Parameters

status_page_id
string
required

ID of the status page. You can find this by calling the ListStatusPages endpoint.

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

component_id
string

Filter status page maintenance windows to only those that impacted the specified component. This ID may be found by calling the ShowStatusPageStructure endpoint.

Example:

"01FCNDV6P870EA6S7TK1DSYDG1"

group_id
string

Filter status page maintenance windows to only those that impacted components in the specified group. This ID may be found by calling the ShowStatusPageStructure endpoint.

Example:

"01FCNDV6P870EA6S7TK1DSYDG2"

sub_page_id
string

Filter status page maintenance windows to only those that impacted the specified sub-page. This ID may be found by calling the ShowStatusPageStructure endpoint.

Example:

"01FCNDV6P870EA6S7TK1DSYDG3"

start_at
string<date-time>

Filter status page maintenance windows to only those that had impacts during or after this time.

Example:

"2021-08-17T13:28:57.801578Z"

end_at
string<date-time>

Filter status page maintenance windows to only those that had impacts during or before this time.

Example:

"2021-08-17T13:28:57.801578Z"

page_size
integer<int64>
default:25

Integer number of records to return

Required range: x <= 250
Example:

25

after
string

An record's ID. This endpoint will return a list of records after this ID in relation to the API response order.

Example:

"01FDAG4SAP5TYPT98WGR2N7W91"

Response

200 - application/json

OK response.

pagination_meta
object
required
Example:
{
"after": "01FCNDV6P870EA6S7TK1DSYDG0",
"page_size": 25
}
status_page_maintenances
object[]
required
Example:
[
{
"component_maintenance_periods": [
{
"component_id": "01GW7P4ES31Q6V1ZQH321T0GJN",
"end_at": "2021-08-17T13:28:57.801578Z",
"start_at": "2021-08-17T13:28:57.801578Z"
}
],
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"maintenance_status": "maintenance_scheduled",
"name": "Routine infrastructure upgrade",
"published_at": "2021-08-17T13:28:57.801578Z",
"status_page_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"updates": [
{
"component_statuses": [
{
"component_id": "01FCNDV6P870EA6S7TK1DSYDG2",
"component_status": "operational"
}
],
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"maintenance_status": "maintenance_scheduled",
"message": "abc123",
"published_at": "2021-08-17T13:28:57.801578Z",
"status_page_maintenance_id": "01FCNDV6P870EA6S7TK1DSYDG1"
}
]
}
]